/***********************************************************************
* 
*               *****   ***    ***
*                  *   *   *  *   *
*                 *     ***    ***
*                *     *   *  *   *
*               *****   ***    ***
*
* A FREE Finite Elements Analysis Program in ANSI C for the UNIX OS.
*
* Composed and edited and copyright by 
* Professor Dr.-Ing. Frank Rieg, University of Bayreuth, Germany
*
* eMail: 
* frank.rieg@uni-bayreuth.de
* dr.frank.rieg@t-online.de
* 
* V11.0  December 12, 2003
*
* Z88 should compile and run under any UNIX OS and Motif 2.0.
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2, or (at your option)
* any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; see the file COPYING.  If not, write to
* the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
***********************************************************************/ 
/*****************************************************************************
* unit m14 enthaelt:
*   expose88
* 30.1.2004 Rieg
*****************************************************************************/
/***********************************************************************
* Includes
***********************************************************************/
/*----------------------------------------------------------------------------
* UNIX
*---------------------------------------------------------------------------*/
#ifdef FR_UNIX
#include <z88o.h>
#include <stdio.h>
#include <stdlib.h>
#include <Xm/XmAll.h>
#endif

/*****************************************************************************
* funktion expose88 : EXPOSE-Event erzeugen
*****************************************************************************/
void expose88(void)
{
extern Widget hw[];

extern int IW_DRAWAR,IH_DRAWAR;

XEvent xevent;

xevent.xexpose.type =       Expose;
xevent.xexpose.display =    XtDisplay(hw[50]);
xevent.xexpose.window =     XtWindow(hw[50]);
xevent.xexpose.x =          0;
xevent.xexpose.y =          0;
xevent.xexpose.width =      IW_DRAWAR;
xevent.xexpose.height =     IH_DRAWAR;

XSendEvent(XtDisplay(hw[50]),XtWindow(hw[50]),True,ExposureMask,&xevent);
}

