/***********************************************************************
* 
*               *****   ***    ***
*                  *   *   *  *   *
*                 *     ***    ***
*                *     *   *  *   *
*               *****   ***    ***
*
* A FREE Finite Elements Analysis Program in ANSI C for the UNIX OS.
*
* Composed and edited and copyright by 
* Professor Dr.-Ing. Frank Rieg, University of Bayreuth, Germany
*
* eMail: 
* frank.rieg@uni-bayreuth.de
* dr.frank.rieg@t-online.de
* 
* V11.0  December 12, 2003
*
* Z88 should compile and run under any UNIX OS and Motif 2.0.
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2, or (at your option)
* any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; see the file COPYING.  If not, write to
* the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
***********************************************************************/ 
/***********************************************************************
*  function who88i1 gibt Ueberschrift aus
*  11.2.2004
***********************************************************************/ 

/***********************************************************************
* Fuer UNIX
***********************************************************************/
#ifdef FR_UNIX
#include <z88i.h>
#include <stdio.h>    /* printf */
#endif


/****************************************************************************
*  Function-Declarationen
****************************************************************************/
void clr88(void);

/***********************************************************************
*  hier beginnt Function who88i1
***********************************************************************/
int who88i1(void)
{
extern FR_INT4 LANG;

clr88();

printf("\n                *****   ***    ***\n");
printf("                   *   *   *  *   *\n");
printf("                  *     ***    ***\n");
printf("                 *     *   *  *   *\n");
printf("                *****   ***    ***\n");

if(LANG==1) 
  {
  printf(" von Univ.Prof.Dr.-Ing. FRANK RIEG (C),2004 V11.0\n");
  printf("    Z88I1: der Z88- Iterations- Solver, Part 1\n");
}

if(LANG==2) 
  {
  printf("   by Prof.Dr.FRANK RIEG (C), Germany,2004 V11.0\n");
  printf("     Z88I1: the Z88- Iteration- Solver, Part 1\n");   
}

#if defined (FR_XQUAD) && (FR_XLOLO)
  printf("       Compilerflags: FR_XQUAD + FR_XLOLO\n\n");   
#endif

#if defined (FR_XQUAD) && (FR_XLONG)
  printf("       Compilerflags: FR_XQUAD + FR_XLONG\n\n");   
#endif

#if defined (FR_XDOUB) && (FR_XLOLO)
  printf("       Compilerflags: FR_XDOUB + FR_XLOLO\n\n");   
#endif

#if defined (FR_XDOUB) && (FR_XLONG)
  printf("       Compilerflags: FR_XDOUB + FR_XLONG\n\n");   
#endif

return(0);
}
